API documentation
Get Investment Strategy
get
/api/v1/Investment/strategies/{imAccountId}Unlike the strategy list, this returns {roi}, {profitFactor} and {maxDrawdown} for the strategy. {roi} and {maxDrawdown} are in percentage points ({5.23} is 5.23%) and are {null} when not yet computed.
Investment
Parameters
imAccountId
path · integer
Required
version
path · string
Required
Responses
- 200The strategy and its current performance figures.application/json
{ "accountId": 1001, "name": "Alex Morgan", "currency": "USD", "manager": "Example", "description": "Example text for this field.", "minInvestment": 1000, "maxInvestment": 1000, "userGroupId": 1001, "riskLabel": 1, "maxInvestmentAccountsPerUser": 1, "roi": 1000, "profitFactor": 1000, "maxDrawdown": 1000, "managementFee": { "pct": 1000, "period": 1 }, "performanceFee": { "pct": 1000, "period": 1 }, "investmentModel": "Example", "displayName": "Alex Morgan", "descriptionLong": "Example", "imageUrl": "Example", "pdfUrl": "Example", "youtubeVideoLink": "Example", "createdByUserId": "1001", "createdByUserName": "Alex Morgan", "approvalStatus": "Example" } - 404No strategy exists for that account.application/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" }